# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="0.5.0"></a>

# [0.5.0](https://github.com/kleros/kleros-interaction/compare/v0.4.0...v0.5.0) (2019-01-09)

### Bug Fixes

- **escrow-token:** fix Ruling event ([4130f76](https://github.com/kleros/kleros-interaction/commit/4130f76))
- **escrow-token:** follow the ERC arbitration standard ([fc0d0c6](https://github.com/kleros/kleros-interaction/commit/fc0d0c6))
- **escrow-token:** revert ([49eccdb](https://github.com/kleros/kleros-interaction/commit/49eccdb))
- **exrow:** fix docs typo ([8b05ab5](https://github.com/kleros/kleros-interaction/commit/8b05ab5))
- **multiple-arbitrable-transaction:** fix [#195](https://github.com/kleros/kleros-interaction/issues/195) ([144ffab](https://github.com/kleros/kleros-interaction/commit/144ffab))
- **multiple-arbitrable-transaction:** fix [#196](https://github.com/kleros/kleros-interaction/issues/196) ([277d6a1](https://github.com/kleros/kleros-interaction/commit/277d6a1))
- **MultipleArbitrableTokenTransaction:** add author hellwolf ([b1bd96c](https://github.com/kleros/kleros-interaction/commit/b1bd96c))
- **travis:** set nodejs preference to lts dubnium ([161dcd6](https://github.com/kleros/kleros-interaction/commit/161dcd6))

### Features

- delete composed arbitrable ([55f47eb](https://github.com/kleros/kleros-interaction/commit/55f47eb))

<a name="0.4.0"></a>

# 0.4.0 (2018-12-19)

### Bug Fixes

- **appealable-arbitrator:** wrong params ([99ceb9f](https://github.com/kleros/kleros-interaction/commit/99ceb9f))
- **multiple-arbitrable-transaction:** public vars ([ce5fdb2](https://github.com/kleros/kleros-interaction/commit/ce5fdb2))
- use RAB starndard pragma ([47973ee](https://github.com/kleros/kleros-interaction/commit/47973ee))
- **clock-auction:** add reference to ownable ([4ed6a91](https://github.com/kleros/kleros-interaction/commit/4ed6a91))
- **clock-auction:** replace owner with owner() ([3caa9cb](https://github.com/kleros/kleros-interaction/commit/3caa9cb))
- **multiple-arbitrable-transaction:** replace order of statements in raise-dispute ([873e9ea](https://github.com/kleros/kleros-interaction/commit/873e9ea))
- **multiple-arbitrable-transaction:** require dispute-created instead of resolved ([c4ad866](https://github.com/kleros/kleros-interaction/commit/c4ad866))
- **t2cr:** handle appeal fees not fully funded ([309e1f4](https://github.com/kleros/kleros-interaction/commit/309e1f4))
- **t2cr:** push tokenID to list and return named values ([f255e6f](https://github.com/kleros/kleros-interaction/commit/f255e6f))
- linting on test ([4c16926](https://github.com/kleros/kleros-interaction/commit/4c16926))
- pre-review vulnerability fixes ([b58a1ca](https://github.com/kleros/kleros-interaction/commit/b58a1ca))
- **appealCost:** return arbitrationCost if version changed ([aa864af](https://github.com/kleros/kleros-interaction/commit/aa864af))
- **appealCost:** transfer the dispute if not exists like in appeal function ([64e45fc](https://github.com/kleros/kleros-interaction/commit/64e45fc))
- **arbitrable-kitty:** comment arbitrable test to do not block the PR ([f83f161](https://github.com/kleros/kleros-interaction/commit/f83f161))
- **arbitrable-permission-list:** items counts logic ([2ace35e](https://github.com/kleros/kleros-interaction/commit/2ace35e))
- **arbitrator-versioning-proxy:** stop accessing non-standard Arbitrator.disputes ([f86a811](https://github.com/kleros/kleros-interaction/commit/f86a811)), closes [#24](https://github.com/kleros/kleros-interaction/issues/24)
- **backed-up-arbitrator:** appeal logic ([6e8a598](https://github.com/kleros/kleros-interaction/commit/6e8a598))
- **create-dispute:** add missing -1 ([c337a7d](https://github.com/kleros/kleros-interaction/commit/c337a7d))
- **event:** event should use localDisputeID ([285add2](https://github.com/kleros/kleros-interaction/commit/285add2))
- **helpers:** add missing await ([23d0ae0](https://github.com/kleros/kleros-interaction/commit/23d0ae0))
- **locked-token:** fix openzeppelin reference ([c3d2a2c](https://github.com/kleros/kleros-interaction/commit/c3d2a2c))
- **locked-tokens:** replace balances with balanceOf() ([c2460d2](https://github.com/kleros/kleros-interaction/commit/c2460d2))
- **multi-party-agreements:** record ruling ([4158802](https://github.com/kleros/kleros-interaction/commit/4158802))
- **multi-party-insurable-fees:** possible underflow ([4b96a24](https://github.com/kleros/kleros-interaction/commit/4b96a24))
- **multi-party-insurable-fees:** underflow ([c44da30](https://github.com/kleros/kleros-interaction/commit/c44da30))
- **multiple-arbitrable-contract:** tests (WIP) ([05e04d5](https://github.com/kleros/kleros-interaction/commit/05e04d5))
- **multiple-arbitrable-payment:** handle no ruling ([a2bf326](https://github.com/kleros/kleros-interaction/commit/a2bf326))
- **multiple-arbitrable-transaction:** some fixes from Clement's review ([a270a77](https://github.com/kleros/kleros-interaction/commit/a270a77))
- **multiplearbitrablepayment:** use transactionId instead disputeId ([6f92ed7](https://github.com/kleros/kleros-interaction/commit/6f92ed7))
- **proxy:** arbitrable assignments ([649b10e](https://github.com/kleros/kleros-interaction/commit/649b10e))
- **proxy:** dispute id mappings in executeRuling ([d873b81](https://github.com/kleros/kleros-interaction/commit/d873b81))
- **proxy:** executeRuling args ([619f12d](https://github.com/kleros/kleros-interaction/commit/619f12d))
- **proxy:** fix executeRuling arguments ([06f5064](https://github.com/kleros/kleros-interaction/commit/06f5064))
- **proxy:** fix invalid if condition in rollback ([57df45f](https://github.com/kleros/kleros-interaction/commit/57df45f))
- **ruling:** avoid arbitrator to change ruling ([be502ba](https://github.com/kleros/kleros-interaction/commit/be502ba))
- **t2cr:** allow more possibilities of filter combinations ([8627162](https://github.com/kleros/kleros-interaction/commit/8627162))
- **t2cr:** always clear cache ([c1e1d29](https://github.com/kleros/kleros-interaction/commit/c1e1d29))
- **t2cr:** both sides must pay all fees ([096b353](https://github.com/kleros/kleros-interaction/commit/096b353))
- **t2cr:** challenge rewards and fee reimbursement ([6f37679](https://github.com/kleros/kleros-interaction/commit/6f37679))
- **t2cr:** check that both lastAction and request length ([4961f4d](https://github.com/kleros/kleros-interaction/commit/4961f4d))
- **t2cr:** clarify function and restrict caller ([2f32acb](https://github.com/kleros/kleros-interaction/commit/2f32acb))
- **t2cr:** clarify variable function, require no disputes for funding ([bfd813f](https://github.com/kleros/kleros-interaction/commit/bfd813f))
- **t2cr:** create a new round on dispute creation ([d5484b1](https://github.com/kleros/kleros-interaction/commit/d5484b1))
- **t2cr:** disputed items counter should not be exclusive ([692540b](https://github.com/kleros/kleros-interaction/commit/692540b))
- **t2cr:** disputed should be set to false once a dispute is resolved ([c4fc769](https://github.com/kleros/kleros-interaction/commit/c4fc769))
- **t2cr:** either execute or refuse a request ([cc3faa0](https://github.com/kleros/kleros-interaction/commit/cc3faa0))
- **t2cr:** emit meta evidence on creation ([1c3bc3e](https://github.com/kleros/kleros-interaction/commit/1c3bc3e))
- **t2cr:** favor loser if submitter doesnt pay, clarify code ([00cf150](https://github.com/kleros/kleros-interaction/commit/00cf150))
- **t2cr:** keep history of dispute ([a5ec8b6](https://github.com/kleros/kleros-interaction/commit/a5ec8b6))
- **t2cr:** make function pure and reformat arguments ([d2234c8](https://github.com/kleros/kleros-interaction/commit/d2234c8))
- **t2cr:** missing assignment ([01454c0](https://github.com/kleros/kleros-interaction/commit/01454c0))
- **t2cr:** missing/wrong time data ([1c14e81](https://github.com/kleros/kleros-interaction/commit/1c14e81))
- **t2cr:** no need to check if the token exists again ([7465e1b](https://github.com/kleros/kleros-interaction/commit/7465e1b))
- **t2cr:** no need to multiply, just send the whole balance ([60cb9b8](https://github.com/kleros/kleros-interaction/commit/60cb9b8))
- **t2cr:** only allow submitting evidence for submitted tokens ([1300c1f](https://github.com/kleros/kleros-interaction/commit/1300c1f))
- **t2cr:** optimize to avoid stack depth error on compilation ([b18235e](https://github.com/kleros/kleros-interaction/commit/b18235e))
- **t2cr:** paidFees are used to calculate rewards, keep history ([9ca4313](https://github.com/kleros/kleros-interaction/commit/9ca4313))
- **t2cr:** prevent callers from setting lastAction without contribution ([1898181](https://github.com/kleros/kleros-interaction/commit/1898181))
- **t2cr:** prevent governance changes from affecting disputes ([a75e4e7](https://github.com/kleros/kleros-interaction/commit/a75e4e7))
- **t2cr:** property already set in parent method ([fd9537a](https://github.com/kleros/kleros-interaction/commit/fd9537a))
- **t2cr:** remove dependency MultiPartyInsurableArbitrableAgreementsBase ([3fb348a](https://github.com/kleros/kleros-interaction/commit/3fb348a))
- **t2cr:** remove require since it is enforce in parent contracts ([c5f48b7](https://github.com/kleros/kleros-interaction/commit/c5f48b7))
- **t2cr:** remove unnecessary function ([3b65df3](https://github.com/kleros/kleros-interaction/commit/3b65df3))
- **t2cr:** requiring that lastAction > 0 is enough ([c5ca7f3](https://github.com/kleros/kleros-interaction/commit/c5ca7f3))
- **t2cr:** reset paid fees after dispute is resolved ([f722025](https://github.com/kleros/kleros-interaction/commit/f722025))
- **t2cr:** restrict function visibility ([73a08a8](https://github.com/kleros/kleros-interaction/commit/73a08a8))
- **t2cr:** restrict function visibility ([8443960](https://github.com/kleros/kleros-interaction/commit/8443960))
- **t2cr:** restrict visibility to internal and document code ([ae40acb](https://github.com/kleros/kleros-interaction/commit/ae40acb))
- **t2cr:** safer to use assignment when possible ([2b61a59](https://github.com/kleros/kleros-interaction/commit/2b61a59))
- **t2cr:** should not require challenger fee stake to already be paid ([5a9ae34](https://github.com/kleros/kleros-interaction/commit/5a9ae34))
- **t2cr:** should only allow calling execute request of no one contested ([f00b6ff](https://github.com/kleros/kleros-interaction/commit/f00b6ff))
- **t2cr:** should require that lastAction and length > 0 ([c358249](https://github.com/kleros/kleros-interaction/commit/c358249))
- **t2cr:** simplify item status ([787102e](https://github.com/kleros/kleros-interaction/commit/787102e))
- **t2cr:** time to challenge must have passed ([c00dd70](https://github.com/kleros/kleros-interaction/commit/c00dd70))
- **t2cr:** track fee stakes on each round ([ad8b151](https://github.com/kleros/kleros-interaction/commit/ad8b151))
- **t2cr:** track if appeal has been raised ([d19d1c8](https://github.com/kleros/kleros-interaction/commit/d19d1c8))
- **t2cr:** update lastAction time ([f0846f8](https://github.com/kleros/kleros-interaction/commit/f0846f8))
- **t2cr:** use fund functions to crowdfund, track fee stake in fees ([de2c345](https://github.com/kleros/kleros-interaction/commit/de2c345))
- **t2cr:** use last action to verify if token exists ([c82fd17](https://github.com/kleros/kleros-interaction/commit/c82fd17))
- **t2cr:** use only one governor for contract ([9333cc8](https://github.com/kleros/kleros-interaction/commit/9333cc8))
- Amount of choices for inheriting contracts ([2866689](https://github.com/kleros/kleros-interaction/commit/2866689))
- Conflict ad package.json. Updates truffle to 4.1.13 ([118ee09](https://github.com/kleros/kleros-interaction/commit/118ee09))
- Conflict on TwoPartyArbitrable.sol with master ([bf471d1](https://github.com/kleros/kleros-interaction/commit/bf471d1))
- Docs and params ([50006de](https://github.com/kleros/kleros-interaction/commit/50006de))
- Make amountOfChoices public ([a0ba69c](https://github.com/kleros/kleros-interaction/commit/a0ba69c))
- make mult arbitrable evidence standard compliant ([3a7cffa](https://github.com/kleros/kleros-interaction/commit/3a7cffa))
- Merge conflict bug on TwoPartyArbitrable.sol ([fa3700a](https://github.com/kleros/kleros-interaction/commit/fa3700a))
- Merge updates ([6a60f44](https://github.com/kleros/kleros-interaction/commit/6a60f44))
- remove constant modifiers to be able to compile ([0f41d1b](https://github.com/kleros/kleros-interaction/commit/0f41d1b))
- Remove contracts not being used ([ec38cfd](https://github.com/kleros/kleros-interaction/commit/ec38cfd))
- Remove truffle test temporary file ([e0c18d2](https://github.com/kleros/kleros-interaction/commit/e0c18d2))
- Split fees between parties ([04f5995](https://github.com/kleros/kleros-interaction/commit/04f5995))
- wrong package number ([588df6b](https://github.com/kleros/kleros-interaction/commit/588df6b))

### Features

- **appealable-arbitrator:** finish ([88dfc61](https://github.com/kleros/kleros-interaction/commit/88dfc61)), closes [#3](https://github.com/kleros/kleros-interaction/issues/3)
- **arbitrable:** index party in evidence ([a0259a0](https://github.com/kleros/kleros-interaction/commit/a0259a0))
- **arbitration:** add IArbitrable ([4ac218b](https://github.com/kleros/kleros-interaction/commit/4ac218b)), closes [#142](https://github.com/kleros/kleros-interaction/issues/142)
- **arbitrator:** change event params for usability ([e07b1a8](https://github.com/kleros/kleros-interaction/commit/e07b1a8))
- **bonding-curve:** implement bonding curve contract ([321d2bd](https://github.com/kleros/kleros-interaction/commit/321d2bd))
- **composed-arbitrable:** implement ([#129](https://github.com/kleros/kleros-interaction/issues/129)) ([74c057d](https://github.com/kleros/kleros-interaction/commit/74c057d))
- **escrow:** review 2 ([c9df3d5](https://github.com/kleros/kleros-interaction/commit/c9df3d5))
- **escrow:** review 2 last point ([c43cf08](https://github.com/kleros/kleros-interaction/commit/c43cf08))
- **multi-party-insurable-fees:** let side 0 raise appeal ([661ee46](https://github.com/kleros/kleros-interaction/commit/661ee46))
- **t2cr:** add executeRuling functionality ([572ff2b](https://github.com/kleros/kleros-interaction/commit/572ff2b))
- **t2cr:** add governance mechanism ([e3a6758](https://github.com/kleros/kleros-interaction/commit/e3a6758))
- **t2cr:** add interface function isPermitted ([eafd197](https://github.com/kleros/kleros-interaction/commit/eafd197))
- **t2cr:** add interface views to query data ([57819d6](https://github.com/kleros/kleros-interaction/commit/57819d6))
- **t2cr:** add itemsCounts function ([55c8a53](https://github.com/kleros/kleros-interaction/commit/55c8a53))
- **t2cr:** allow executing requests after timeToChallenge passed ([42fe5fa](https://github.com/kleros/kleros-interaction/commit/42fe5fa))
- **t2cr:** allow fee timeout for first round ([64bd110](https://github.com/kleros/kleros-interaction/commit/64bd110))
- **t2cr:** allow fully funded challenges ([950072d](https://github.com/kleros/kleros-interaction/commit/950072d))
- **t2cr:** allow funding dispute sides ([38397c2](https://github.com/kleros/kleros-interaction/commit/38397c2))
- **t2cr:** allow funding the loosing side of appeals ([f74356f](https://github.com/kleros/kleros-interaction/commit/f74356f))
- **t2cr:** allow parties to only pay deposits ([9311e25](https://github.com/kleros/kleros-interaction/commit/9311e25))
- **t2cr:** allow parties to submit evidence ([928ccd5](https://github.com/kleros/kleros-interaction/commit/928ccd5))
- **t2cr:** allow querying items ([9f826e2](https://github.com/kleros/kleros-interaction/commit/9f826e2))
- **t2cr:** allow registrationRequests ([7c73f84](https://github.com/kleros/kleros-interaction/commit/7c73f84))
- **t2cr:** allow users to participate in crowdfunding ([23d8786](https://github.com/kleros/kleros-interaction/commit/23d8786))
- **t2cr:** allow users to submit clearing requests ([eae7d28](https://github.com/kleros/kleros-interaction/commit/eae7d28))
- **t2cr:** allow winner to fund his side of appeal ([745188c](https://github.com/kleros/kleros-interaction/commit/745188c))
- **t2cr:** allow withdrawing fees and crowdfunding rewards ([29565b0](https://github.com/kleros/kleros-interaction/commit/29565b0))
- **t2cr:** emit event when a challenge deposit is placed ([49886ce](https://github.com/kleros/kleros-interaction/commit/49886ce))
- **t2cr:** implement abstract function executeRuling ([be0e950](https://github.com/kleros/kleros-interaction/commit/be0e950))
- **t2cr:** include fee stake for arbitration ([b7b3500](https://github.com/kleros/kleros-interaction/commit/b7b3500))
- **t2cr:** include name, ticker and address in contract ([81a7061](https://github.com/kleros/kleros-interaction/commit/81a7061))
- **t2cr:** return weather the request was appealed ([00ba027](https://github.com/kleros/kleros-interaction/commit/00ba027))
- **t2cr:** save weather the loosing side already paid its fees ([c37abd6](https://github.com/kleros/kleros-interaction/commit/c37abd6))
- add token2 curated list ([7074616](https://github.com/kleros/kleros-interaction/commit/7074616))
- **arbitrable-permission-list:** add events ([37fc8fd](https://github.com/kleros/kleros-interaction/commit/37fc8fd))
- **arbitrable-permission-list:** items counts ([98342ec](https://github.com/kleros/kleros-interaction/commit/98342ec))
- **arbitrable-permission-list:** query items by status and sort ([bc688b5](https://github.com/kleros/kleros-interaction/commit/bc688b5))
- **arbitration:** implement arbitrator subcourts ([53b6263](https://github.com/kleros/kleros-interaction/commit/53b6263))
- **arbitrator-court:** support local appeals ([45a0020](https://github.com/kleros/kleros-interaction/commit/45a0020))
- **arbitrator-court-and-proxy:** more precise address types ([6f8f189](https://github.com/kleros/kleros-interaction/commit/6f8f189))
- **arbitrator-versioning-proxy:** handle appeals and dispute creation ([739a55c](https://github.com/kleros/kleros-interaction/commit/739a55c))
- **arbitrator-versioning-proxy:** implement proxy-unique disputeIDs ([b913c49](https://github.com/kleros/kleros-interaction/commit/b913c49))
- **backed-up-arbitrator:** add time out ([e932d5f](https://github.com/kleros/kleros-interaction/commit/e932d5f))
- **backed-up-arbitrator:** create contract ([b2e95ef](https://github.com/kleros/kleros-interaction/commit/b2e95ef))
- **backed-up-arbitrator:** finish implementation ([55a738f](https://github.com/kleros/kleros-interaction/commit/55a738f)), closes [#4](https://github.com/kleros/kleros-interaction/issues/4)
- **backed-up-arbitrator:** follow spec ([1ff2da4](https://github.com/kleros/kleros-interaction/commit/1ff2da4))
- **backed-up-arbitrator:** implement appealCost ([07d99dd](https://github.com/kleros/kleros-interaction/commit/07d99dd))
- **backed-up-arbitrator:** implement changeBackUp ([2614b25](https://github.com/kleros/kleros-interaction/commit/2614b25))
- **backed-up-arbitrator:** implement constructor ([ba65384](https://github.com/kleros/kleros-interaction/commit/ba65384))
- **backed-up-arbitrator:** implement storage ([a33b11d](https://github.com/kleros/kleros-interaction/commit/a33b11d))
- **backed-up-arbitrator:** set arbitration price ([ba88556](https://github.com/kleros/kleros-interaction/commit/ba88556))
- add MetaEvidence events ([7cf5bb4](https://github.com/kleros/kleros-interaction/commit/7cf5bb4))
- Allows number of ruling options to be defined on creation ([6619f2a](https://github.com/kleros/kleros-interaction/commit/6619f2a))
- ArbitrableKitty for cryptokitty custody arbitration ([ac7d116](https://github.com/kleros/kleros-interaction/commit/ac7d116))
- better ItemStatusChange event ([5a7d077](https://github.com/kleros/kleros-interaction/commit/5a7d077))
- compile contracts ([91b8bc1](https://github.com/kleros/kleros-interaction/commit/91b8bc1))
- enhance query and add itemsCount ([0516262](https://github.com/kleros/kleros-interaction/commit/0516262))
- implement new evidence standard ([08c88c3](https://github.com/kleros/kleros-interaction/commit/08c88c3))
- remove ContactHash from constructor ([e511c81](https://github.com/kleros/kleros-interaction/commit/e511c81))
- set meta evidence in constructor ([8a7102d](https://github.com/kleros/kleros-interaction/commit/8a7102d))
- **permission:** generalize blacklist/whitelist functionality ([748097a](https://github.com/kleros/kleros-interaction/commit/748097a))
- simplify proxies ([2fa3cc4](https://github.com/kleros/kleros-interaction/commit/2fa3cc4))
- **proxy:** finish simple arbitrator versioning proxy ([8578870](https://github.com/kleros/kleros-interaction/commit/8578870))
- **proxy:** set up proxy framework ([798dd4f](https://github.com/kleros/kleros-interaction/commit/798dd4f))
- **proxy:** use Arbitrator instead of KlerosPOC and factor out unneeded functionality ([e3ad32b](https://github.com/kleros/kleros-interaction/commit/e3ad32b))
- **simple-arbitrator-versioning-proxy:** start work on simpler proxy ([7aeaa02](https://github.com/kleros/kleros-interaction/commit/7aeaa02))
- **versioning-proxy:** implement base contract and derived skeleton ([b86df6e](https://github.com/kleros/kleros-interaction/commit/b86df6e))
- **versioning-proxy:** set up stable change handler ([7035757](https://github.com/kleros/kleros-interaction/commit/7035757))

<a name="0.3.0"></a>

# 0.3.0 (2018-12-17)

### Bug Fixes

- **appealable-arbitrator:** wrong params ([99ceb9f](https://github.com/kleros/kleros-interaction/commit/99ceb9f))
- **multiple-arbitrable-transaction:** public vars ([ce5fdb2](https://github.com/kleros/kleros-interaction/commit/ce5fdb2))
- use RAB starndard pragma ([47973ee](https://github.com/kleros/kleros-interaction/commit/47973ee))
- **clock-auction:** add reference to ownable ([4ed6a91](https://github.com/kleros/kleros-interaction/commit/4ed6a91))
- **clock-auction:** replace owner with owner() ([3caa9cb](https://github.com/kleros/kleros-interaction/commit/3caa9cb))
- **multiple-arbitrable-transaction:** replace order of statements in raise-dispute ([873e9ea](https://github.com/kleros/kleros-interaction/commit/873e9ea))
- **multiple-arbitrable-transaction:** require dispute-created instead of resolved ([c4ad866](https://github.com/kleros/kleros-interaction/commit/c4ad866))
- **t2cr:** handle appeal fees not fully funded ([309e1f4](https://github.com/kleros/kleros-interaction/commit/309e1f4))
- **t2cr:** push tokenID to list and return named values ([f255e6f](https://github.com/kleros/kleros-interaction/commit/f255e6f))
- linting on test ([4c16926](https://github.com/kleros/kleros-interaction/commit/4c16926))
- pre-review vulnerability fixes ([b58a1ca](https://github.com/kleros/kleros-interaction/commit/b58a1ca))
- **appealCost:** return arbitrationCost if version changed ([aa864af](https://github.com/kleros/kleros-interaction/commit/aa864af))
- **appealCost:** transfer the dispute if not exists like in appeal function ([64e45fc](https://github.com/kleros/kleros-interaction/commit/64e45fc))
- **arbitrable-kitty:** comment arbitrable test to do not block the PR ([f83f161](https://github.com/kleros/kleros-interaction/commit/f83f161))
- **arbitrable-permission-list:** items counts logic ([2ace35e](https://github.com/kleros/kleros-interaction/commit/2ace35e))
- **arbitrator-versioning-proxy:** stop accessing non-standard Arbitrator.disputes ([f86a811](https://github.com/kleros/kleros-interaction/commit/f86a811)), closes [#24](https://github.com/kleros/kleros-interaction/issues/24)
- **backed-up-arbitrator:** appeal logic ([6e8a598](https://github.com/kleros/kleros-interaction/commit/6e8a598))
- **create-dispute:** add missing -1 ([c337a7d](https://github.com/kleros/kleros-interaction/commit/c337a7d))
- **event:** event should use localDisputeID ([285add2](https://github.com/kleros/kleros-interaction/commit/285add2))
- **helpers:** add missing await ([23d0ae0](https://github.com/kleros/kleros-interaction/commit/23d0ae0))
- **locked-token:** fix openzeppelin reference ([c3d2a2c](https://github.com/kleros/kleros-interaction/commit/c3d2a2c))
- **locked-tokens:** replace balances with balanceOf() ([c2460d2](https://github.com/kleros/kleros-interaction/commit/c2460d2))
- **multi-party-agreements:** record ruling ([4158802](https://github.com/kleros/kleros-interaction/commit/4158802))
- **multi-party-insurable-fees:** possible underflow ([4b96a24](https://github.com/kleros/kleros-interaction/commit/4b96a24))
- **multi-party-insurable-fees:** underflow ([c44da30](https://github.com/kleros/kleros-interaction/commit/c44da30))
- **multiple-arbitrable-contract:** tests (WIP) ([05e04d5](https://github.com/kleros/kleros-interaction/commit/05e04d5))
- **multiple-arbitrable-payment:** handle no ruling ([a2bf326](https://github.com/kleros/kleros-interaction/commit/a2bf326))
- **multiple-arbitrable-transaction:** some fixes from Clement's review ([a270a77](https://github.com/kleros/kleros-interaction/commit/a270a77))
- **multiplearbitrablepayment:** use transactionId instead disputeId ([6f92ed7](https://github.com/kleros/kleros-interaction/commit/6f92ed7))
- **proxy:** arbitrable assignments ([649b10e](https://github.com/kleros/kleros-interaction/commit/649b10e))
- **proxy:** dispute id mappings in executeRuling ([d873b81](https://github.com/kleros/kleros-interaction/commit/d873b81))
- **proxy:** executeRuling args ([619f12d](https://github.com/kleros/kleros-interaction/commit/619f12d))
- **proxy:** fix executeRuling arguments ([06f5064](https://github.com/kleros/kleros-interaction/commit/06f5064))
- **proxy:** fix invalid if condition in rollback ([57df45f](https://github.com/kleros/kleros-interaction/commit/57df45f))
- **ruling:** avoid arbitrator to change ruling ([be502ba](https://github.com/kleros/kleros-interaction/commit/be502ba))
- **t2cr:** allow more possibilities of filter combinations ([8627162](https://github.com/kleros/kleros-interaction/commit/8627162))
- **t2cr:** always clear cache ([c1e1d29](https://github.com/kleros/kleros-interaction/commit/c1e1d29))
- **t2cr:** both sides must pay all fees ([096b353](https://github.com/kleros/kleros-interaction/commit/096b353))
- **t2cr:** challenge rewards and fee reimbursement ([6f37679](https://github.com/kleros/kleros-interaction/commit/6f37679))
- **t2cr:** check that both lastAction and request length ([4961f4d](https://github.com/kleros/kleros-interaction/commit/4961f4d))
- **t2cr:** clarify function and restrict caller ([2f32acb](https://github.com/kleros/kleros-interaction/commit/2f32acb))
- **t2cr:** clarify variable function, require no disputes for funding ([bfd813f](https://github.com/kleros/kleros-interaction/commit/bfd813f))
- **t2cr:** create a new round on dispute creation ([d5484b1](https://github.com/kleros/kleros-interaction/commit/d5484b1))
- **t2cr:** disputed items counter should not be exclusive ([692540b](https://github.com/kleros/kleros-interaction/commit/692540b))
- **t2cr:** disputed should be set to false once a dispute is resolved ([c4fc769](https://github.com/kleros/kleros-interaction/commit/c4fc769))
- **t2cr:** either execute or refuse a request ([cc3faa0](https://github.com/kleros/kleros-interaction/commit/cc3faa0))
- **t2cr:** emit meta evidence on creation ([1c3bc3e](https://github.com/kleros/kleros-interaction/commit/1c3bc3e))
- **t2cr:** favor loser if submitter doesnt pay, clarify code ([00cf150](https://github.com/kleros/kleros-interaction/commit/00cf150))
- **t2cr:** keep history of dispute ([a5ec8b6](https://github.com/kleros/kleros-interaction/commit/a5ec8b6))
- **t2cr:** make function pure and reformat arguments ([d2234c8](https://github.com/kleros/kleros-interaction/commit/d2234c8))
- **t2cr:** missing assignment ([01454c0](https://github.com/kleros/kleros-interaction/commit/01454c0))
- **t2cr:** missing/wrong time data ([1c14e81](https://github.com/kleros/kleros-interaction/commit/1c14e81))
- **t2cr:** no need to check if the token exists again ([7465e1b](https://github.com/kleros/kleros-interaction/commit/7465e1b))
- **t2cr:** no need to multiply, just send the whole balance ([60cb9b8](https://github.com/kleros/kleros-interaction/commit/60cb9b8))
- **t2cr:** only allow submitting evidence for submitted tokens ([1300c1f](https://github.com/kleros/kleros-interaction/commit/1300c1f))
- **t2cr:** optimize to avoid stack depth error on compilation ([b18235e](https://github.com/kleros/kleros-interaction/commit/b18235e))
- **t2cr:** paidFees are used to calculate rewards, keep history ([9ca4313](https://github.com/kleros/kleros-interaction/commit/9ca4313))
- **t2cr:** prevent callers from setting lastAction without contribution ([1898181](https://github.com/kleros/kleros-interaction/commit/1898181))
- **t2cr:** prevent governance changes from affecting disputes ([a75e4e7](https://github.com/kleros/kleros-interaction/commit/a75e4e7))
- **t2cr:** property already set in parent method ([fd9537a](https://github.com/kleros/kleros-interaction/commit/fd9537a))
- **t2cr:** remove dependency MultiPartyInsurableArbitrableAgreementsBase ([3fb348a](https://github.com/kleros/kleros-interaction/commit/3fb348a))
- **t2cr:** remove require since it is enforce in parent contracts ([c5f48b7](https://github.com/kleros/kleros-interaction/commit/c5f48b7))
- **t2cr:** remove unnecessary function ([3b65df3](https://github.com/kleros/kleros-interaction/commit/3b65df3))
- **t2cr:** requiring that lastAction > 0 is enough ([c5ca7f3](https://github.com/kleros/kleros-interaction/commit/c5ca7f3))
- **t2cr:** reset paid fees after dispute is resolved ([f722025](https://github.com/kleros/kleros-interaction/commit/f722025))
- **t2cr:** restrict function visibility ([73a08a8](https://github.com/kleros/kleros-interaction/commit/73a08a8))
- **t2cr:** restrict function visibility ([8443960](https://github.com/kleros/kleros-interaction/commit/8443960))
- **t2cr:** restrict visibility to internal and document code ([ae40acb](https://github.com/kleros/kleros-interaction/commit/ae40acb))
- **t2cr:** safer to use assignment when possible ([2b61a59](https://github.com/kleros/kleros-interaction/commit/2b61a59))
- **t2cr:** should not require challenger fee stake to already be paid ([5a9ae34](https://github.com/kleros/kleros-interaction/commit/5a9ae34))
- **t2cr:** should only allow calling execute request of no one contested ([f00b6ff](https://github.com/kleros/kleros-interaction/commit/f00b6ff))
- **t2cr:** should require that lastAction and length > 0 ([c358249](https://github.com/kleros/kleros-interaction/commit/c358249))
- **t2cr:** simplify item status ([787102e](https://github.com/kleros/kleros-interaction/commit/787102e))
- **t2cr:** time to challenge must have passed ([c00dd70](https://github.com/kleros/kleros-interaction/commit/c00dd70))
- **t2cr:** track fee stakes on each round ([ad8b151](https://github.com/kleros/kleros-interaction/commit/ad8b151))
- **t2cr:** track if appeal has been raised ([d19d1c8](https://github.com/kleros/kleros-interaction/commit/d19d1c8))
- **t2cr:** update lastAction time ([f0846f8](https://github.com/kleros/kleros-interaction/commit/f0846f8))
- **t2cr:** use fund functions to crowdfund, track fee stake in fees ([de2c345](https://github.com/kleros/kleros-interaction/commit/de2c345))
- **t2cr:** use last action to verify if token exists ([c82fd17](https://github.com/kleros/kleros-interaction/commit/c82fd17))
- **t2cr:** use only one governor for contract ([9333cc8](https://github.com/kleros/kleros-interaction/commit/9333cc8))
- Amount of choices for inheriting contracts ([2866689](https://github.com/kleros/kleros-interaction/commit/2866689))
- Conflict ad package.json. Updates truffle to 4.1.13 ([118ee09](https://github.com/kleros/kleros-interaction/commit/118ee09))
- Conflict on TwoPartyArbitrable.sol with master ([bf471d1](https://github.com/kleros/kleros-interaction/commit/bf471d1))
- Docs and params ([50006de](https://github.com/kleros/kleros-interaction/commit/50006de))
- Make amountOfChoices public ([a0ba69c](https://github.com/kleros/kleros-interaction/commit/a0ba69c))
- make mult arbitrable evidence standard compliant ([3a7cffa](https://github.com/kleros/kleros-interaction/commit/3a7cffa))
- Merge conflict bug on TwoPartyArbitrable.sol ([fa3700a](https://github.com/kleros/kleros-interaction/commit/fa3700a))
- Merge updates ([6a60f44](https://github.com/kleros/kleros-interaction/commit/6a60f44))
- remove constant modifiers to be able to compile ([0f41d1b](https://github.com/kleros/kleros-interaction/commit/0f41d1b))
- Remove contracts not being used ([ec38cfd](https://github.com/kleros/kleros-interaction/commit/ec38cfd))
- Remove truffle test temporary file ([e0c18d2](https://github.com/kleros/kleros-interaction/commit/e0c18d2))
- Split fees between parties ([04f5995](https://github.com/kleros/kleros-interaction/commit/04f5995))
- wrong package number ([588df6b](https://github.com/kleros/kleros-interaction/commit/588df6b))

### Features

- **appealable-arbitrator:** finish ([88dfc61](https://github.com/kleros/kleros-interaction/commit/88dfc61)), closes [#3](https://github.com/kleros/kleros-interaction/issues/3)
- **arbitrable:** index party in evidence ([a0259a0](https://github.com/kleros/kleros-interaction/commit/a0259a0))
- **arbitration:** add IArbitrable ([4ac218b](https://github.com/kleros/kleros-interaction/commit/4ac218b)), closes [#142](https://github.com/kleros/kleros-interaction/issues/142)
- **arbitrator:** change event params for usability ([e07b1a8](https://github.com/kleros/kleros-interaction/commit/e07b1a8))
- **bonding-curve:** implement bonding curve contract ([321d2bd](https://github.com/kleros/kleros-interaction/commit/321d2bd))
- **composed-arbitrable:** implement ([#129](https://github.com/kleros/kleros-interaction/issues/129)) ([74c057d](https://github.com/kleros/kleros-interaction/commit/74c057d))
- **escrow:** review 2 ([c9df3d5](https://github.com/kleros/kleros-interaction/commit/c9df3d5))
- **escrow:** review 2 last point ([c43cf08](https://github.com/kleros/kleros-interaction/commit/c43cf08))
- **multi-party-insurable-fees:** let side 0 raise appeal ([661ee46](https://github.com/kleros/kleros-interaction/commit/661ee46))
- **t2cr:** add executeRuling functionality ([572ff2b](https://github.com/kleros/kleros-interaction/commit/572ff2b))
- **t2cr:** add governance mechanism ([e3a6758](https://github.com/kleros/kleros-interaction/commit/e3a6758))
- **t2cr:** add interface function isPermitted ([eafd197](https://github.com/kleros/kleros-interaction/commit/eafd197))
- **t2cr:** add interface views to query data ([57819d6](https://github.com/kleros/kleros-interaction/commit/57819d6))
- **t2cr:** add itemsCounts function ([55c8a53](https://github.com/kleros/kleros-interaction/commit/55c8a53))
- **t2cr:** allow executing requests after timeToChallenge passed ([42fe5fa](https://github.com/kleros/kleros-interaction/commit/42fe5fa))
- **t2cr:** allow fee timeout for first round ([64bd110](https://github.com/kleros/kleros-interaction/commit/64bd110))
- **t2cr:** allow fully funded challenges ([950072d](https://github.com/kleros/kleros-interaction/commit/950072d))
- **t2cr:** allow funding dispute sides ([38397c2](https://github.com/kleros/kleros-interaction/commit/38397c2))
- **t2cr:** allow funding the loosing side of appeals ([f74356f](https://github.com/kleros/kleros-interaction/commit/f74356f))
- **t2cr:** allow parties to only pay deposits ([9311e25](https://github.com/kleros/kleros-interaction/commit/9311e25))
- **t2cr:** allow parties to submit evidence ([928ccd5](https://github.com/kleros/kleros-interaction/commit/928ccd5))
- **t2cr:** allow querying items ([9f826e2](https://github.com/kleros/kleros-interaction/commit/9f826e2))
- **t2cr:** allow registrationRequests ([7c73f84](https://github.com/kleros/kleros-interaction/commit/7c73f84))
- **t2cr:** allow users to participate in crowdfunding ([23d8786](https://github.com/kleros/kleros-interaction/commit/23d8786))
- **t2cr:** allow users to submit clearing requests ([eae7d28](https://github.com/kleros/kleros-interaction/commit/eae7d28))
- **t2cr:** allow winner to fund his side of appeal ([745188c](https://github.com/kleros/kleros-interaction/commit/745188c))
- **t2cr:** allow withdrawing fees and crowdfunding rewards ([29565b0](https://github.com/kleros/kleros-interaction/commit/29565b0))
- **t2cr:** emit event when a challenge deposit is placed ([49886ce](https://github.com/kleros/kleros-interaction/commit/49886ce))
- **t2cr:** implement abstract function executeRuling ([be0e950](https://github.com/kleros/kleros-interaction/commit/be0e950))
- **t2cr:** include fee stake for arbitration ([b7b3500](https://github.com/kleros/kleros-interaction/commit/b7b3500))
- **t2cr:** include name, ticker and address in contract ([81a7061](https://github.com/kleros/kleros-interaction/commit/81a7061))
- **t2cr:** return weather the request was appealed ([00ba027](https://github.com/kleros/kleros-interaction/commit/00ba027))
- **t2cr:** save weather the loosing side already paid its fees ([c37abd6](https://github.com/kleros/kleros-interaction/commit/c37abd6))
- add token2 curated list ([7074616](https://github.com/kleros/kleros-interaction/commit/7074616))
- **arbitrable-permission-list:** add events ([37fc8fd](https://github.com/kleros/kleros-interaction/commit/37fc8fd))
- **arbitrable-permission-list:** items counts ([98342ec](https://github.com/kleros/kleros-interaction/commit/98342ec))
- **arbitrable-permission-list:** query items by status and sort ([bc688b5](https://github.com/kleros/kleros-interaction/commit/bc688b5))
- **arbitration:** implement arbitrator subcourts ([53b6263](https://github.com/kleros/kleros-interaction/commit/53b6263))
- **arbitrator-court:** support local appeals ([45a0020](https://github.com/kleros/kleros-interaction/commit/45a0020))
- **arbitrator-court-and-proxy:** more precise address types ([6f8f189](https://github.com/kleros/kleros-interaction/commit/6f8f189))
- **arbitrator-versioning-proxy:** handle appeals and dispute creation ([739a55c](https://github.com/kleros/kleros-interaction/commit/739a55c))
- **arbitrator-versioning-proxy:** implement proxy-unique disputeIDs ([b913c49](https://github.com/kleros/kleros-interaction/commit/b913c49))
- **backed-up-arbitrator:** add time out ([e932d5f](https://github.com/kleros/kleros-interaction/commit/e932d5f))
- **backed-up-arbitrator:** create contract ([b2e95ef](https://github.com/kleros/kleros-interaction/commit/b2e95ef))
- **backed-up-arbitrator:** finish implementation ([55a738f](https://github.com/kleros/kleros-interaction/commit/55a738f)), closes [#4](https://github.com/kleros/kleros-interaction/issues/4)
- **backed-up-arbitrator:** follow spec ([1ff2da4](https://github.com/kleros/kleros-interaction/commit/1ff2da4))
- **backed-up-arbitrator:** implement appealCost ([07d99dd](https://github.com/kleros/kleros-interaction/commit/07d99dd))
- **backed-up-arbitrator:** implement changeBackUp ([2614b25](https://github.com/kleros/kleros-interaction/commit/2614b25))
- **backed-up-arbitrator:** implement constructor ([ba65384](https://github.com/kleros/kleros-interaction/commit/ba65384))
- **backed-up-arbitrator:** implement storage ([a33b11d](https://github.com/kleros/kleros-interaction/commit/a33b11d))
- **backed-up-arbitrator:** set arbitration price ([ba88556](https://github.com/kleros/kleros-interaction/commit/ba88556))
- add MetaEvidence events ([7cf5bb4](https://github.com/kleros/kleros-interaction/commit/7cf5bb4))
- Allows number of ruling options to be defined on creation ([6619f2a](https://github.com/kleros/kleros-interaction/commit/6619f2a))
- ArbitrableKitty for cryptokitty custody arbitration ([ac7d116](https://github.com/kleros/kleros-interaction/commit/ac7d116))
- better ItemStatusChange event ([5a7d077](https://github.com/kleros/kleros-interaction/commit/5a7d077))
- compile contracts ([91b8bc1](https://github.com/kleros/kleros-interaction/commit/91b8bc1))
- enhance query and add itemsCount ([0516262](https://github.com/kleros/kleros-interaction/commit/0516262))
- implement new evidence standard ([08c88c3](https://github.com/kleros/kleros-interaction/commit/08c88c3))
- remove ContactHash from constructor ([e511c81](https://github.com/kleros/kleros-interaction/commit/e511c81))
- set meta evidence in constructor ([8a7102d](https://github.com/kleros/kleros-interaction/commit/8a7102d))
- **permission:** generalize blacklist/whitelist functionality ([748097a](https://github.com/kleros/kleros-interaction/commit/748097a))
- simplify proxies ([2fa3cc4](https://github.com/kleros/kleros-interaction/commit/2fa3cc4))
- **proxy:** finish simple arbitrator versioning proxy ([8578870](https://github.com/kleros/kleros-interaction/commit/8578870))
- **proxy:** set up proxy framework ([798dd4f](https://github.com/kleros/kleros-interaction/commit/798dd4f))
- **proxy:** use Arbitrator instead of KlerosPOC and factor out unneeded functionality ([e3ad32b](https://github.com/kleros/kleros-interaction/commit/e3ad32b))
- **simple-arbitrator-versioning-proxy:** start work on simpler proxy ([7aeaa02](https://github.com/kleros/kleros-interaction/commit/7aeaa02))
- **versioning-proxy:** implement base contract and derived skeleton ([b86df6e](https://github.com/kleros/kleros-interaction/commit/b86df6e))
- **versioning-proxy:** set up stable change handler ([7035757](https://github.com/kleros/kleros-interaction/commit/7035757))

<a name="0.2.0"></a>

# 0.2.0 (2018-12-17)

### Bug Fixes

- **appealable-arbitrator:** wrong params ([99ceb9f](https://github.com/kleros/kleros-interaction/commit/99ceb9f))
- **multiple-arbitrable-transaction:** public vars ([ce5fdb2](https://github.com/kleros/kleros-interaction/commit/ce5fdb2))
- use RAB starndard pragma ([47973ee](https://github.com/kleros/kleros-interaction/commit/47973ee))
- **clock-auction:** add reference to ownable ([4ed6a91](https://github.com/kleros/kleros-interaction/commit/4ed6a91))
- **clock-auction:** replace owner with owner() ([3caa9cb](https://github.com/kleros/kleros-interaction/commit/3caa9cb))
- **multiple-arbitrable-transaction:** replace order of statements in raise-dispute ([873e9ea](https://github.com/kleros/kleros-interaction/commit/873e9ea))
- **multiple-arbitrable-transaction:** require dispute-created instead of resolved ([c4ad866](https://github.com/kleros/kleros-interaction/commit/c4ad866))
- **t2cr:** handle appeal fees not fully funded ([309e1f4](https://github.com/kleros/kleros-interaction/commit/309e1f4))
- **t2cr:** push tokenID to list and return named values ([f255e6f](https://github.com/kleros/kleros-interaction/commit/f255e6f))
- linting on test ([4c16926](https://github.com/kleros/kleros-interaction/commit/4c16926))
- pre-review vulnerability fixes ([b58a1ca](https://github.com/kleros/kleros-interaction/commit/b58a1ca))
- **appealCost:** return arbitrationCost if version changed ([aa864af](https://github.com/kleros/kleros-interaction/commit/aa864af))
- **appealCost:** transfer the dispute if not exists like in appeal function ([64e45fc](https://github.com/kleros/kleros-interaction/commit/64e45fc))
- **arbitrable-kitty:** comment arbitrable test to do not block the PR ([f83f161](https://github.com/kleros/kleros-interaction/commit/f83f161))
- **arbitrable-permission-list:** items counts logic ([2ace35e](https://github.com/kleros/kleros-interaction/commit/2ace35e))
- **arbitrator-versioning-proxy:** stop accessing non-standard Arbitrator.disputes ([f86a811](https://github.com/kleros/kleros-interaction/commit/f86a811)), closes [#24](https://github.com/kleros/kleros-interaction/issues/24)
- **backed-up-arbitrator:** appeal logic ([6e8a598](https://github.com/kleros/kleros-interaction/commit/6e8a598))
- **create-dispute:** add missing -1 ([c337a7d](https://github.com/kleros/kleros-interaction/commit/c337a7d))
- **event:** event should use localDisputeID ([285add2](https://github.com/kleros/kleros-interaction/commit/285add2))
- **helpers:** add missing await ([23d0ae0](https://github.com/kleros/kleros-interaction/commit/23d0ae0))
- **locked-token:** fix openzeppelin reference ([c3d2a2c](https://github.com/kleros/kleros-interaction/commit/c3d2a2c))
- **locked-tokens:** replace balances with balanceOf() ([c2460d2](https://github.com/kleros/kleros-interaction/commit/c2460d2))
- **multi-party-agreements:** record ruling ([4158802](https://github.com/kleros/kleros-interaction/commit/4158802))
- **multi-party-insurable-fees:** possible underflow ([4b96a24](https://github.com/kleros/kleros-interaction/commit/4b96a24))
- **multi-party-insurable-fees:** underflow ([c44da30](https://github.com/kleros/kleros-interaction/commit/c44da30))
- **multiple-arbitrable-contract:** tests (WIP) ([05e04d5](https://github.com/kleros/kleros-interaction/commit/05e04d5))
- **multiple-arbitrable-payment:** handle no ruling ([a2bf326](https://github.com/kleros/kleros-interaction/commit/a2bf326))
- **multiple-arbitrable-transaction:** some fixes from Clement's review ([a270a77](https://github.com/kleros/kleros-interaction/commit/a270a77))
- **multiplearbitrablepayment:** use transactionId instead disputeId ([6f92ed7](https://github.com/kleros/kleros-interaction/commit/6f92ed7))
- **proxy:** arbitrable assignments ([649b10e](https://github.com/kleros/kleros-interaction/commit/649b10e))
- **proxy:** dispute id mappings in executeRuling ([d873b81](https://github.com/kleros/kleros-interaction/commit/d873b81))
- **proxy:** executeRuling args ([619f12d](https://github.com/kleros/kleros-interaction/commit/619f12d))
- **proxy:** fix executeRuling arguments ([06f5064](https://github.com/kleros/kleros-interaction/commit/06f5064))
- **proxy:** fix invalid if condition in rollback ([57df45f](https://github.com/kleros/kleros-interaction/commit/57df45f))
- **ruling:** avoid arbitrator to change ruling ([be502ba](https://github.com/kleros/kleros-interaction/commit/be502ba))
- **t2cr:** allow more possibilities of filter combinations ([8627162](https://github.com/kleros/kleros-interaction/commit/8627162))
- **t2cr:** always clear cache ([c1e1d29](https://github.com/kleros/kleros-interaction/commit/c1e1d29))
- **t2cr:** both sides must pay all fees ([096b353](https://github.com/kleros/kleros-interaction/commit/096b353))
- **t2cr:** challenge rewards and fee reimbursement ([6f37679](https://github.com/kleros/kleros-interaction/commit/6f37679))
- **t2cr:** check that both lastAction and request length ([4961f4d](https://github.com/kleros/kleros-interaction/commit/4961f4d))
- **t2cr:** clarify function and restrict caller ([2f32acb](https://github.com/kleros/kleros-interaction/commit/2f32acb))
- **t2cr:** clarify variable function, require no disputes for funding ([bfd813f](https://github.com/kleros/kleros-interaction/commit/bfd813f))
- **t2cr:** create a new round on dispute creation ([d5484b1](https://github.com/kleros/kleros-interaction/commit/d5484b1))
- **t2cr:** disputed items counter should not be exclusive ([692540b](https://github.com/kleros/kleros-interaction/commit/692540b))
- **t2cr:** disputed should be set to false once a dispute is resolved ([c4fc769](https://github.com/kleros/kleros-interaction/commit/c4fc769))
- **t2cr:** either execute or refuse a request ([cc3faa0](https://github.com/kleros/kleros-interaction/commit/cc3faa0))
- **t2cr:** emit meta evidence on creation ([1c3bc3e](https://github.com/kleros/kleros-interaction/commit/1c3bc3e))
- **t2cr:** favor loser if submitter doesnt pay, clarify code ([00cf150](https://github.com/kleros/kleros-interaction/commit/00cf150))
- **t2cr:** keep history of dispute ([a5ec8b6](https://github.com/kleros/kleros-interaction/commit/a5ec8b6))
- **t2cr:** make function pure and reformat arguments ([d2234c8](https://github.com/kleros/kleros-interaction/commit/d2234c8))
- **t2cr:** missing assignment ([01454c0](https://github.com/kleros/kleros-interaction/commit/01454c0))
- **t2cr:** missing/wrong time data ([1c14e81](https://github.com/kleros/kleros-interaction/commit/1c14e81))
- **t2cr:** no need to check if the token exists again ([7465e1b](https://github.com/kleros/kleros-interaction/commit/7465e1b))
- **t2cr:** no need to multiply, just send the whole balance ([60cb9b8](https://github.com/kleros/kleros-interaction/commit/60cb9b8))
- **t2cr:** only allow submitting evidence for submitted tokens ([1300c1f](https://github.com/kleros/kleros-interaction/commit/1300c1f))
- **t2cr:** optimize to avoid stack depth error on compilation ([b18235e](https://github.com/kleros/kleros-interaction/commit/b18235e))
- **t2cr:** paidFees are used to calculate rewards, keep history ([9ca4313](https://github.com/kleros/kleros-interaction/commit/9ca4313))
- **t2cr:** prevent callers from setting lastAction without contribution ([1898181](https://github.com/kleros/kleros-interaction/commit/1898181))
- **t2cr:** prevent governance changes from affecting disputes ([a75e4e7](https://github.com/kleros/kleros-interaction/commit/a75e4e7))
- **t2cr:** property already set in parent method ([fd9537a](https://github.com/kleros/kleros-interaction/commit/fd9537a))
- **t2cr:** remove dependency MultiPartyInsurableArbitrableAgreementsBase ([3fb348a](https://github.com/kleros/kleros-interaction/commit/3fb348a))
- **t2cr:** remove require since it is enforce in parent contracts ([c5f48b7](https://github.com/kleros/kleros-interaction/commit/c5f48b7))
- **t2cr:** remove unnecessary function ([3b65df3](https://github.com/kleros/kleros-interaction/commit/3b65df3))
- **t2cr:** requiring that lastAction > 0 is enough ([c5ca7f3](https://github.com/kleros/kleros-interaction/commit/c5ca7f3))
- **t2cr:** reset paid fees after dispute is resolved ([f722025](https://github.com/kleros/kleros-interaction/commit/f722025))
- **t2cr:** restrict function visibility ([73a08a8](https://github.com/kleros/kleros-interaction/commit/73a08a8))
- **t2cr:** restrict function visibility ([8443960](https://github.com/kleros/kleros-interaction/commit/8443960))
- **t2cr:** restrict visibility to internal and document code ([ae40acb](https://github.com/kleros/kleros-interaction/commit/ae40acb))
- **t2cr:** safer to use assignment when possible ([2b61a59](https://github.com/kleros/kleros-interaction/commit/2b61a59))
- **t2cr:** should not require challenger fee stake to already be paid ([5a9ae34](https://github.com/kleros/kleros-interaction/commit/5a9ae34))
- **t2cr:** should only allow calling execute request of no one contested ([f00b6ff](https://github.com/kleros/kleros-interaction/commit/f00b6ff))
- **t2cr:** should require that lastAction and length > 0 ([c358249](https://github.com/kleros/kleros-interaction/commit/c358249))
- **t2cr:** simplify item status ([787102e](https://github.com/kleros/kleros-interaction/commit/787102e))
- **t2cr:** time to challenge must have passed ([c00dd70](https://github.com/kleros/kleros-interaction/commit/c00dd70))
- **t2cr:** track fee stakes on each round ([ad8b151](https://github.com/kleros/kleros-interaction/commit/ad8b151))
- **t2cr:** track if appeal has been raised ([d19d1c8](https://github.com/kleros/kleros-interaction/commit/d19d1c8))
- **t2cr:** update lastAction time ([f0846f8](https://github.com/kleros/kleros-interaction/commit/f0846f8))
- **t2cr:** use fund functions to crowdfund, track fee stake in fees ([de2c345](https://github.com/kleros/kleros-interaction/commit/de2c345))
- **t2cr:** use last action to verify if token exists ([c82fd17](https://github.com/kleros/kleros-interaction/commit/c82fd17))
- **t2cr:** use only one governor for contract ([9333cc8](https://github.com/kleros/kleros-interaction/commit/9333cc8))
- Amount of choices for inheriting contracts ([2866689](https://github.com/kleros/kleros-interaction/commit/2866689))
- Conflict ad package.json. Updates truffle to 4.1.13 ([118ee09](https://github.com/kleros/kleros-interaction/commit/118ee09))
- Conflict on TwoPartyArbitrable.sol with master ([bf471d1](https://github.com/kleros/kleros-interaction/commit/bf471d1))
- Docs and params ([50006de](https://github.com/kleros/kleros-interaction/commit/50006de))
- Make amountOfChoices public ([a0ba69c](https://github.com/kleros/kleros-interaction/commit/a0ba69c))
- make mult arbitrable evidence standard compliant ([3a7cffa](https://github.com/kleros/kleros-interaction/commit/3a7cffa))
- Merge conflict bug on TwoPartyArbitrable.sol ([fa3700a](https://github.com/kleros/kleros-interaction/commit/fa3700a))
- Merge updates ([6a60f44](https://github.com/kleros/kleros-interaction/commit/6a60f44))
- remove constant modifiers to be able to compile ([0f41d1b](https://github.com/kleros/kleros-interaction/commit/0f41d1b))
- Remove contracts not being used ([ec38cfd](https://github.com/kleros/kleros-interaction/commit/ec38cfd))
- Remove truffle test temporary file ([e0c18d2](https://github.com/kleros/kleros-interaction/commit/e0c18d2))
- Split fees between parties ([04f5995](https://github.com/kleros/kleros-interaction/commit/04f5995))
- wrong package number ([588df6b](https://github.com/kleros/kleros-interaction/commit/588df6b))

### Features

- **appealable-arbitrator:** finish ([88dfc61](https://github.com/kleros/kleros-interaction/commit/88dfc61)), closes [#3](https://github.com/kleros/kleros-interaction/issues/3)
- **arbitrable:** index party in evidence ([a0259a0](https://github.com/kleros/kleros-interaction/commit/a0259a0))
- **arbitration:** add IArbitrable ([4ac218b](https://github.com/kleros/kleros-interaction/commit/4ac218b)), closes [#142](https://github.com/kleros/kleros-interaction/issues/142)
- **arbitrator:** change event params for usability ([e07b1a8](https://github.com/kleros/kleros-interaction/commit/e07b1a8))
- **bonding-curve:** implement bonding curve contract ([321d2bd](https://github.com/kleros/kleros-interaction/commit/321d2bd))
- **composed-arbitrable:** implement ([#129](https://github.com/kleros/kleros-interaction/issues/129)) ([74c057d](https://github.com/kleros/kleros-interaction/commit/74c057d))
- **escrow:** review 2 ([c9df3d5](https://github.com/kleros/kleros-interaction/commit/c9df3d5))
- **escrow:** review 2 last point ([c43cf08](https://github.com/kleros/kleros-interaction/commit/c43cf08))
- **multi-party-insurable-fees:** let side 0 raise appeal ([661ee46](https://github.com/kleros/kleros-interaction/commit/661ee46))
- **t2cr:** add executeRuling functionality ([572ff2b](https://github.com/kleros/kleros-interaction/commit/572ff2b))
- **t2cr:** add governance mechanism ([e3a6758](https://github.com/kleros/kleros-interaction/commit/e3a6758))
- **t2cr:** add interface function isPermitted ([eafd197](https://github.com/kleros/kleros-interaction/commit/eafd197))
- **t2cr:** add interface views to query data ([57819d6](https://github.com/kleros/kleros-interaction/commit/57819d6))
- **t2cr:** add itemsCounts function ([55c8a53](https://github.com/kleros/kleros-interaction/commit/55c8a53))
- **t2cr:** allow executing requests after timeToChallenge passed ([42fe5fa](https://github.com/kleros/kleros-interaction/commit/42fe5fa))
- **t2cr:** allow fee timeout for first round ([64bd110](https://github.com/kleros/kleros-interaction/commit/64bd110))
- **t2cr:** allow fully funded challenges ([950072d](https://github.com/kleros/kleros-interaction/commit/950072d))
- **t2cr:** allow funding dispute sides ([38397c2](https://github.com/kleros/kleros-interaction/commit/38397c2))
- **t2cr:** allow funding the loosing side of appeals ([f74356f](https://github.com/kleros/kleros-interaction/commit/f74356f))
- **t2cr:** allow parties to only pay deposits ([9311e25](https://github.com/kleros/kleros-interaction/commit/9311e25))
- **t2cr:** allow parties to submit evidence ([928ccd5](https://github.com/kleros/kleros-interaction/commit/928ccd5))
- **t2cr:** allow querying items ([9f826e2](https://github.com/kleros/kleros-interaction/commit/9f826e2))
- **t2cr:** allow registrationRequests ([7c73f84](https://github.com/kleros/kleros-interaction/commit/7c73f84))
- **t2cr:** allow users to participate in crowdfunding ([23d8786](https://github.com/kleros/kleros-interaction/commit/23d8786))
- **t2cr:** allow users to submit clearing requests ([eae7d28](https://github.com/kleros/kleros-interaction/commit/eae7d28))
- **t2cr:** allow winner to fund his side of appeal ([745188c](https://github.com/kleros/kleros-interaction/commit/745188c))
- **t2cr:** allow withdrawing fees and crowdfunding rewards ([29565b0](https://github.com/kleros/kleros-interaction/commit/29565b0))
- **t2cr:** emit event when a challenge deposit is placed ([49886ce](https://github.com/kleros/kleros-interaction/commit/49886ce))
- **t2cr:** implement abstract function executeRuling ([be0e950](https://github.com/kleros/kleros-interaction/commit/be0e950))
- **t2cr:** include fee stake for arbitration ([b7b3500](https://github.com/kleros/kleros-interaction/commit/b7b3500))
- **t2cr:** include name, ticker and address in contract ([81a7061](https://github.com/kleros/kleros-interaction/commit/81a7061))
- **t2cr:** return weather the request was appealed ([00ba027](https://github.com/kleros/kleros-interaction/commit/00ba027))
- **t2cr:** save weather the loosing side already paid its fees ([c37abd6](https://github.com/kleros/kleros-interaction/commit/c37abd6))
- add token2 curated list ([7074616](https://github.com/kleros/kleros-interaction/commit/7074616))
- **arbitrable-permission-list:** add events ([37fc8fd](https://github.com/kleros/kleros-interaction/commit/37fc8fd))
- **arbitrable-permission-list:** items counts ([98342ec](https://github.com/kleros/kleros-interaction/commit/98342ec))
- **arbitrable-permission-list:** query items by status and sort ([bc688b5](https://github.com/kleros/kleros-interaction/commit/bc688b5))
- **arbitration:** implement arbitrator subcourts ([53b6263](https://github.com/kleros/kleros-interaction/commit/53b6263))
- **arbitrator-court:** support local appeals ([45a0020](https://github.com/kleros/kleros-interaction/commit/45a0020))
- **arbitrator-court-and-proxy:** more precise address types ([6f8f189](https://github.com/kleros/kleros-interaction/commit/6f8f189))
- **arbitrator-versioning-proxy:** handle appeals and dispute creation ([739a55c](https://github.com/kleros/kleros-interaction/commit/739a55c))
- **arbitrator-versioning-proxy:** implement proxy-unique disputeIDs ([b913c49](https://github.com/kleros/kleros-interaction/commit/b913c49))
- **backed-up-arbitrator:** add time out ([e932d5f](https://github.com/kleros/kleros-interaction/commit/e932d5f))
- **backed-up-arbitrator:** create contract ([b2e95ef](https://github.com/kleros/kleros-interaction/commit/b2e95ef))
- **backed-up-arbitrator:** finish implementation ([55a738f](https://github.com/kleros/kleros-interaction/commit/55a738f)), closes [#4](https://github.com/kleros/kleros-interaction/issues/4)
- **backed-up-arbitrator:** follow spec ([1ff2da4](https://github.com/kleros/kleros-interaction/commit/1ff2da4))
- **backed-up-arbitrator:** implement appealCost ([07d99dd](https://github.com/kleros/kleros-interaction/commit/07d99dd))
- **backed-up-arbitrator:** implement changeBackUp ([2614b25](https://github.com/kleros/kleros-interaction/commit/2614b25))
- **backed-up-arbitrator:** implement constructor ([ba65384](https://github.com/kleros/kleros-interaction/commit/ba65384))
- **backed-up-arbitrator:** implement storage ([a33b11d](https://github.com/kleros/kleros-interaction/commit/a33b11d))
- **backed-up-arbitrator:** set arbitration price ([ba88556](https://github.com/kleros/kleros-interaction/commit/ba88556))
- add MetaEvidence events ([7cf5bb4](https://github.com/kleros/kleros-interaction/commit/7cf5bb4))
- Allows number of ruling options to be defined on creation ([6619f2a](https://github.com/kleros/kleros-interaction/commit/6619f2a))
- ArbitrableKitty for cryptokitty custody arbitration ([ac7d116](https://github.com/kleros/kleros-interaction/commit/ac7d116))
- better ItemStatusChange event ([5a7d077](https://github.com/kleros/kleros-interaction/commit/5a7d077))
- compile contracts ([91b8bc1](https://github.com/kleros/kleros-interaction/commit/91b8bc1))
- enhance query and add itemsCount ([0516262](https://github.com/kleros/kleros-interaction/commit/0516262))
- implement new evidence standard ([08c88c3](https://github.com/kleros/kleros-interaction/commit/08c88c3))
- remove ContactHash from constructor ([e511c81](https://github.com/kleros/kleros-interaction/commit/e511c81))
- set meta evidence in constructor ([8a7102d](https://github.com/kleros/kleros-interaction/commit/8a7102d))
- **permission:** generalize blacklist/whitelist functionality ([748097a](https://github.com/kleros/kleros-interaction/commit/748097a))
- simplify proxies ([2fa3cc4](https://github.com/kleros/kleros-interaction/commit/2fa3cc4))
- **proxy:** finish simple arbitrator versioning proxy ([8578870](https://github.com/kleros/kleros-interaction/commit/8578870))
- **proxy:** set up proxy framework ([798dd4f](https://github.com/kleros/kleros-interaction/commit/798dd4f))
- **proxy:** use Arbitrator instead of KlerosPOC and factor out unneeded functionality ([e3ad32b](https://github.com/kleros/kleros-interaction/commit/e3ad32b))
- **simple-arbitrator-versioning-proxy:** start work on simpler proxy ([7aeaa02](https://github.com/kleros/kleros-interaction/commit/7aeaa02))
- **versioning-proxy:** implement base contract and derived skeleton ([b86df6e](https://github.com/kleros/kleros-interaction/commit/b86df6e))
- **versioning-proxy:** set up stable change handler ([7035757](https://github.com/kleros/kleros-interaction/commit/7035757))

<a name="0.1.0"></a>

# 0.1.0 (2018-10-22)

### Bug Fixes

- **appealable-arbitrator:** wrong params ([99ceb9f](https://github.com/kleros/kleros-interaction/commit/99ceb9f))
- **arbitrable-permission-list:** items counts logic ([2ace35e](https://github.com/kleros/kleros-interaction/commit/2ace35e))
- remove constant modifiers to be able to compile ([0f41d1b](https://github.com/kleros/kleros-interaction/commit/0f41d1b))
- **arbitrator-versioning-proxy:** stop accessing non-standard Arbitrator.disputes ([f86a811](https://github.com/kleros/kleros-interaction/commit/f86a811)), closes [#24](https://github.com/kleros/kleros-interaction/issues/24)
- **backed-up-arbitrator:** appeal logic ([6e8a598](https://github.com/kleros/kleros-interaction/commit/6e8a598))
- **helpers:** add missing await ([23d0ae0](https://github.com/kleros/kleros-interaction/commit/23d0ae0))
- **multi-party-agreements:** record ruling ([4158802](https://github.com/kleros/kleros-interaction/commit/4158802))
- **multi-party-insurable-fees:** possible underflow ([4b96a24](https://github.com/kleros/kleros-interaction/commit/4b96a24))
- **multi-party-insurable-fees:** underflow ([c44da30](https://github.com/kleros/kleros-interaction/commit/c44da30))
- **multiple-arbitrable-payment:** handle no ruling ([a2bf326](https://github.com/kleros/kleros-interaction/commit/a2bf326))
- Merge conflict bug on TwoPartyArbitrable.sol ([fa3700a](https://github.com/kleros/kleros-interaction/commit/fa3700a))
- **multiplearbitrablepayment:** use transactionId instead disputeId ([6f92ed7](https://github.com/kleros/kleros-interaction/commit/6f92ed7))
- Amount of choices for inheriting contracts ([2866689](https://github.com/kleros/kleros-interaction/commit/2866689))
- Conflict ad package.json. Updates truffle to 4.1.13 ([118ee09](https://github.com/kleros/kleros-interaction/commit/118ee09))
- Conflict on TwoPartyArbitrable.sol with master ([bf471d1](https://github.com/kleros/kleros-interaction/commit/bf471d1))
- Docs and params ([50006de](https://github.com/kleros/kleros-interaction/commit/50006de))
- Make amountOfChoices public ([a0ba69c](https://github.com/kleros/kleros-interaction/commit/a0ba69c))
- make mult arbitrable evidence standard compliant ([3a7cffa](https://github.com/kleros/kleros-interaction/commit/3a7cffa))
- Merge updates ([6a60f44](https://github.com/kleros/kleros-interaction/commit/6a60f44))
- Remove contracts not being used ([ec38cfd](https://github.com/kleros/kleros-interaction/commit/ec38cfd))
- Remove truffle test temporary file ([e0c18d2](https://github.com/kleros/kleros-interaction/commit/e0c18d2))
- Split fees between parties ([04f5995](https://github.com/kleros/kleros-interaction/commit/04f5995))
- wrong package number ([588df6b](https://github.com/kleros/kleros-interaction/commit/588df6b))
- **ruling:** avoid arbitrator to change ruling ([be502ba](https://github.com/kleros/kleros-interaction/commit/be502ba))

### Features

- **appealable-arbitrator:** finish ([88dfc61](https://github.com/kleros/kleros-interaction/commit/88dfc61)), closes [#3](https://github.com/kleros/kleros-interaction/issues/3)
- enhance query and add itemsCount ([0516262](https://github.com/kleros/kleros-interaction/commit/0516262))
- **arbitrable:** index party in evidence ([a0259a0](https://github.com/kleros/kleros-interaction/commit/a0259a0))
- **arbitrable-permission-list:** add events ([37fc8fd](https://github.com/kleros/kleros-interaction/commit/37fc8fd))
- **arbitrable-permission-list:** items counts ([98342ec](https://github.com/kleros/kleros-interaction/commit/98342ec))
- **arbitrable-permission-list:** query items by status and sort ([bc688b5](https://github.com/kleros/kleros-interaction/commit/bc688b5))
- **arbitration:** implement arbitrator subcourts ([53b6263](https://github.com/kleros/kleros-interaction/commit/53b6263))
- **arbitrator:** change event params for usability ([e07b1a8](https://github.com/kleros/kleros-interaction/commit/e07b1a8))
- **arbitrator-court:** support local appeals ([45a0020](https://github.com/kleros/kleros-interaction/commit/45a0020))
- **arbitrator-court-and-proxy:** more precise address types ([6f8f189](https://github.com/kleros/kleros-interaction/commit/6f8f189))
- **arbitrator-versioning-proxy:** handle appeals and dispute creation ([739a55c](https://github.com/kleros/kleros-interaction/commit/739a55c))
- **arbitrator-versioning-proxy:** implement proxy-unique disputeIDs ([b913c49](https://github.com/kleros/kleros-interaction/commit/b913c49))
- **backed-up-arbitrator:** add time out ([e932d5f](https://github.com/kleros/kleros-interaction/commit/e932d5f))
- **backed-up-arbitrator:** create contract ([b2e95ef](https://github.com/kleros/kleros-interaction/commit/b2e95ef))
- **backed-up-arbitrator:** finish implementation ([55a738f](https://github.com/kleros/kleros-interaction/commit/55a738f)), closes [#4](https://github.com/kleros/kleros-interaction/issues/4)
- **backed-up-arbitrator:** follow spec ([1ff2da4](https://github.com/kleros/kleros-interaction/commit/1ff2da4))
- Allows number of ruling options to be defined on creation ([6619f2a](https://github.com/kleros/kleros-interaction/commit/6619f2a))
- **backed-up-arbitrator:** implement appealCost ([07d99dd](https://github.com/kleros/kleros-interaction/commit/07d99dd))
- **backed-up-arbitrator:** implement changeBackUp ([2614b25](https://github.com/kleros/kleros-interaction/commit/2614b25))
- **backed-up-arbitrator:** implement constructor ([ba65384](https://github.com/kleros/kleros-interaction/commit/ba65384))
- **backed-up-arbitrator:** implement storage ([a33b11d](https://github.com/kleros/kleros-interaction/commit/a33b11d))
- **backed-up-arbitrator:** set arbitration price ([ba88556](https://github.com/kleros/kleros-interaction/commit/ba88556))
- implement new evidence standard ([08c88c3](https://github.com/kleros/kleros-interaction/commit/08c88c3))
- **composed-arbitrable:** implement ([#129](https://github.com/kleros/kleros-interaction/issues/129)) ([74c057d](https://github.com/kleros/kleros-interaction/commit/74c057d))
- **multi-party-insurable-fees:** let side 0 raise appeal ([661ee46](https://github.com/kleros/kleros-interaction/commit/661ee46))
- **permission:** generalize blacklist/whitelist functionality ([748097a](https://github.com/kleros/kleros-interaction/commit/748097a))
- **proxy:** finish simple arbitrator versioning proxy ([8578870](https://github.com/kleros/kleros-interaction/commit/8578870))
- **proxy:** set up proxy framework ([798dd4f](https://github.com/kleros/kleros-interaction/commit/798dd4f))
- **proxy:** use Arbitrator instead of KlerosPOC and factor out unneeded functionality ([e3ad32b](https://github.com/kleros/kleros-interaction/commit/e3ad32b))
- **simple-arbitrator-versioning-proxy:** start work on simpler proxy ([7aeaa02](https://github.com/kleros/kleros-interaction/commit/7aeaa02))
- **versioning-proxy:** implement base contract and derived skeleton ([b86df6e](https://github.com/kleros/kleros-interaction/commit/b86df6e))
- **versioning-proxy:** set up stable change handler ([7035757](https://github.com/kleros/kleros-interaction/commit/7035757))
- add MetaEvidence events ([7cf5bb4](https://github.com/kleros/kleros-interaction/commit/7cf5bb4))
- ArbitrableKitty for cryptokitty custody arbitration ([ac7d116](https://github.com/kleros/kleros-interaction/commit/ac7d116))
- better ItemStatusChange event ([5a7d077](https://github.com/kleros/kleros-interaction/commit/5a7d077))
- compile contracts ([91b8bc1](https://github.com/kleros/kleros-interaction/commit/91b8bc1))
- remove ContactHash from constructor ([e511c81](https://github.com/kleros/kleros-interaction/commit/e511c81))
- set meta evidence in constructor ([8a7102d](https://github.com/kleros/kleros-interaction/commit/8a7102d))
- simplify proxies ([2fa3cc4](https://github.com/kleros/kleros-interaction/commit/2fa3cc4))
